Sybase NNTP forums - End Of Life (EOL)

The NNTP forums from Sybase - forums.sybase.com - are now closed.

All new questions should be directed to the appropriate forum at the SAP Community Network (SCN).

Individual products have links to the respective forums on SCN, or you can go to SCN and search for your product in the search box (upper right corner) to find your specific developer center.

down-grade dw?

4 posts in Objects Last posting was on 2005-09-26 14:43:23.0Z
P Platan Posted on 2005-09-21 08:07:43.0Z
From: "P Platan" <pplat@exnds.com>
Newsgroups: sybase.public.powerbuilder.objects
Subject: down-grade dw?
Lines: 19
Organization: exnds
X-Priority: 3
X-MSMail-Priority: Normal
X-Newsreader: Microsoft Outlook Express 6.00.2900.2180
X-RFC2646: Format=Flowed; Original
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.2180
NNTP-Posting-Host: 213.16.165.189
X-Original-NNTP-Posting-Host: 213.16.165.189
Message-ID: <433114cf@forums-1-dub>
Date: 21 Sep 2005 01:07:43 -0700
X-Trace: forums-1-dub 1127290063 213.16.165.189 (21 Sep 2005 01:07:43 -0700)
X-Original-Trace: 21 Sep 2005 01:07:43 -0700, 213.16.165.189
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.powerbuilder.objects:8620
Article PK: 735835

Hi!
I have build an app (I call it dw app) using PB10 which creates datawindows
(I specify the type-the table etc and using a wizard I build my datawindows
with uniformity).
I created a lot of dw in order to copy them into the pbl of the main
application that my company develops.
This company-application was written in PB9 and the problem is that we
cannot migrate it into PB10 (tons of errors...).
We decided to stick with PB9.
But when I try to import my DW created with the dw app it refuses to do so
because they are PB10 objects.
I editsourced them and changed the version from 10 to 9 and deleted some xml
stuff but no luck.
Is there a way to make these dw PB9 compatible because I have no time to
re-write the app in PB9 or create the dw manually.

Thanx in advance (..my English are not perfect)


Chris Pollach Posted on 2005-09-21 11:46:30.0Z
From: "Chris Pollach" <cpollach@travel-net.dot.com>
Newsgroups: sybase.public.powerbuilder.objects
References: <433114cf@forums-1-dub>
Subject: Re: down-grade dw?
Lines: 43
Organization: STD Inc.
X-Priority: 3
X-MSMail-Priority: Normal
X-Newsreader: Microsoft Outlook Express 5.50.4927.1200
X-MimeOLE: Produced By Microsoft MimeOLE V5.50.4927.1200
NNTP-Posting-Host: stealth.nserc.ca
X-Original-NNTP-Posting-Host: stealth.nserc.ca
Message-ID: <43314816@forums-1-dub>
Date: 21 Sep 2005 04:46:30 -0700
X-Trace: forums-1-dub 1127303190 198.96.2.93 (21 Sep 2005 04:46:30 -0700)
X-Original-Trace: 21 Sep 2005 04:46:30 -0700, stealth.nserc.ca
X-Authenticated-User: pb105beta
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.powerbuilder.objects:8622
Article PK: 735837

P;

You can always go upwards (ie: 5-6, 8-9, 9-10 .. even 5-10, 9-11) but
never down as new properties and coding methods will not be supported. You
can try doing a "hack" job by exporting your PB 10 objects into textual
files. Then, edit out the PB 10 particulars and import that into PB 9.
However, since PB 10 is Unicode and PB 9 is ANSI, you will also have to edit
the source code for that as well (ouch).

A good project for a cold or rainy day(s)!

PS: I have many applications and clients that have migrated their PB 7,8 or
9 applications into 10.x. Most of these are in production now. What problems
are you having?

Chris

"P Platan" <pplat@exnds.com> wrote in message news:433114cf@forums-1-dub...
> Hi!
> I have build an app (I call it dw app) using PB10 which creates
datawindows
> (I specify the type-the table etc and using a wizard I build my
datawindows
> with uniformity).
> I created a lot of dw in order to copy them into the pbl of the main
> application that my company develops.
> This company-application was written in PB9 and the problem is that we
> cannot migrate it into PB10 (tons of errors...).
> We decided to stick with PB9.
> But when I try to import my DW created with the dw app it refuses to do so
> because they are PB10 objects.
> I editsourced them and changed the version from 10 to 9 and deleted some
xml
> stuff but no luck.
> Is there a way to make these dw PB9 compatible because I have no time to
> re-write the app in PB9 or create the dw manually.
>
> Thanx in advance (..my English are not perfect)
>
>


Andy Turiansky [TeamSybase] Posted on 2005-09-21 13:00:03.0Z
From: "Andy Turiansky [TeamSybase]" <aturiansky.SpamFree@comcast.net>
Newsgroups: sybase.public.powerbuilder.objects
Organization: 216.98.24.70
References: <433114cf@forums-1-dub>
X-Newsreader: AspNNTP 1.50 (Takeshi Eto)
Subject: Re: down-grade dw?
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
NNTP-Posting-Host: web110.discountasp.net
X-Original-NNTP-Posting-Host: web110.discountasp.net
Message-ID: <43315953$1@forums-1-dub>
Date: 21 Sep 2005 06:00:03 -0700
X-Trace: forums-1-dub 1127307603 64.79.161.40 (21 Sep 2005 06:00:03 -0700)
X-Original-Trace: 21 Sep 2005 06:00:03 -0700, web110.discountasp.net
Lines: 30
X-Authenticated-User: teamsybase
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.powerbuilder.objects:8623
Article PK: 735838

What kind of errors are you experiencing in migration from 9 to 10?

Also, you could create a sample of one of your PB10 datawindows in PB9 and then
compare the PB9 version to PB10 and see what is different and then remove those
from teh PB10 version. Depending on the differences, you may be able to get it
to a point where it would load in PB9.. no guarantees though. I've had some
success in the past, but it depends on the differences.

On 21 Sep 2005 01:07:43 -0700,
in sybase.public.powerbuilder.objects

P Platan <pplat@exnds.com> wrote:
>Hi!
>I have build an app (I call it dw app) using PB10 which creates datawindows
>(I specify the type-the table etc and using a wizard I build my datawindows
>with uniformity).
>I created a lot of dw in order to copy them into the pbl of the main
>application that my company develops.
>This company-application was written in PB9 and the problem is that we
>cannot migrate it into PB10 (tons of errors...).
>We decided to stick with PB9.
>But when I try to import my DW created with the dw app it refuses to do so
>because they are PB10 objects.
>I editsourced them and changed the version from 10 to 9 and deleted some xml
>stuff but no luck.
>Is there a way to make these dw PB9 compatible because I have no time to
>re-write the app in PB9 or create the dw manually.
>
>Thanx in advance (..my English are not perfect)
>
>


Andy Turiansky [TeamSybase] Posted on 2005-09-26 14:43:23.0Z
From: "Andy Turiansky [TeamSybase]" <aturiansky.SpamFree@comcast.net>
Newsgroups: sybase.public.powerbuilder.objects
Organization: 216.98.24.70
References: <433114cf@forums-1-dub>
X-Newsreader: AspNNTP 1.50 (Takeshi Eto)
Subject: Re: down-grade dw?
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Original-NNTP-Posting-Host: web110.discountasp.net
Message-ID: <433808a9$1@forums-2-dub>
X-Original-Trace: 26 Sep 2005 07:41:45 -0700, web110.discountasp.net
Lines: 24
X-Original-NNTP-Posting-Host: forums-2-dub.sybase.com
X-Original-Trace: 26 Sep 2005 07:41:48 -0700, forums-2-dub.sybase.com
NNTP-Posting-Host: forums-master.sybase.com
X-Original-NNTP-Posting-Host: forums-master.sybase.com
Date: 26 Sep 2005 07:43:23 -0700
X-Trace: forums-1-dub 1127745803 10.22.108.75 (26 Sep 2005 07:43:23 -0700)
X-Original-Trace: 26 Sep 2005 07:43:23 -0700, forums-master.sybase.com
X-Authenticated-User: ngsysop
Path: forums-1-dub!not-for-mail
Xref: forums-1-dub sybase.public.powerbuilder.objects:8636
Article PK: 735851

Have you had any success with this?

On 21 Sep 2005 01:07:43 -0700,
in sybase.public.powerbuilder.objects

P Platan <pplat@exnds.com> wrote:
>Hi!
>I have build an app (I call it dw app) using PB10 which creates datawindows
>(I specify the type-the table etc and using a wizard I build my datawindows
>with uniformity).
>I created a lot of dw in order to copy them into the pbl of the main
>application that my company develops.
>This company-application was written in PB9 and the problem is that we
>cannot migrate it into PB10 (tons of errors...).
>We decided to stick with PB9.
>But when I try to import my DW created with the dw app it refuses to do so
>because they are PB10 objects.
>I editsourced them and changed the version from 10 to 9 and deleted some xml
>stuff but no luck.
>Is there a way to make these dw PB9 compatible because I have no time to
>re-write the app in PB9 or create the dw manually.
>
>Thanx in advance (..my English are not perfect)
>
>